use based::request::{RequestContext, StringResponse};
use based::ui::components::Shell;
use maud::{html, PreEscaped};

pub mod ai;
pub mod archive;
pub mod blacklist;
pub mod conf;
pub mod favicon;

pub async fn render_page(
    content: PreEscaped<String>,
    ctx: RequestContext,
    shell: &Shell,
) -> StringResponse {
    shell.render_page(content, "Website Archive", ctx).await
}
